You are not logged in.

#1 2019-04-10 22:50:46

pepemopap
Member
Registered: 2015-09-30
Posts: 36

[SOLVED] Rofi with icons

Hi everyone. Im trying to get rofi icons working. Im using Helium with stretch repositories but my version of rofi (1.3.1-2) dont support -show-icons parameter. Sid rofi version (1.5.1) is not compatible with streetch lic6 version package. Any idea of how to get it work?
Thanks!

Last edited by pepemopap (2019-04-11 12:24:04)

Offline

#2 2019-04-11 03:22:28

hhh
Meep!
Registered: 2015-09-17
Posts: 7,926
Website

Re: [SOLVED] Rofi with icons

You could try backporting the buster/sid version. A basic guide is here...

https://forums.bunsenlabs.org/viewtopic.php?id=58

Debian Wiki...

https://wiki.debian.org/SimpleBackportCreation

I can't test if it will build, I don't have a stretch install ATM. If it fails, you can try building it from the Git source...

https://github.com/davatorium/rofi

https://github.com/davatorium/rofi/blob/next/INSTALL.md

Offline

#3 2019-04-11 09:07:14

pepemopap
Member
Registered: 2015-09-30
Posts: 36

Re: [SOLVED] Rofi with icons

hhh wrote:

You could try backporting the buster/sid version. A basic guide is here...

https://forums.bunsenlabs.org/viewtopic.php?id=58

Debian Wiki...

https://wiki.debian.org/SimpleBackportCreation

I can't test if it will build, I don't have a stretch install ATM. If it fails, you can try building it from the Git source...

https://github.com/davatorium/rofi

https://github.com/davatorium/rofi/blob/next/INSTALL.md

Thanks for your answer hhh. Im trying it, but in the last step, when do

dpkg-buildpackage -us -uc

i get a error dependence in debhelper >=11, but in stretch repo we have 10.2.5.

dpkg-buildpackage: info: source package rofi
dpkg-buildpackage: info: source version 1.5.1-1~bpo70+1
dpkg-buildpackage: info: source distribution stretch-backports
dpkg-buildpackage: info: source changed by root <root@nar-pc>
dpkg-buildpackage: info: host architecture amd64
 dpkg-source --before-build rofi-1.5.1
dpkg-checkbuilddeps: error: Unmet build dependencies: debhelper (>= 11)
dpkg-buildpackage: warning: build dependencies/conflicts unsatisfied; aborting
dpkg-buildpackage: warning: (Use -d flag to override.)

Ohhhh sad

Offline

#4 2019-04-11 09:19:47

pepemopap
Member
Registered: 2015-09-30
Posts: 36

Re: [SOLVED] Rofi with icons

Solved, debhelper 12 is in stretch-backports. I have build the src file! Works like a charm. Thanks hhh!

Last edited by pepemopap (2019-04-11 10:22:19)

Offline

Board footer

Powered by FluxBB